%define fname polib


Name:           python-polib
Version:        1.0.3
Release:        %mkrel 3
Summary:        A library to parse and manage gettext catalogs

Group:          Development/Python
License:        MIT
URL:            http://bitbucket.org/izi/polib/
Source0:        http://bitbucket.org/izi/polib/downloads/polib-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
BuildRequires:  fdupes

%description
polib allows you to manipulate, create, modify gettext files (pot, po and
mo files). You can load existing files, iterate through it's entries, add,
modify entries, comments or metadata, etc... or create new po files from
scratch.

polib provides a simple and pythonic API, exporting only three convenience
functions 'pofile', 'mofile' and 'detect_encoding', and the 4 core classes:
POFile, MOFile, POEntry and MOEntry for creating new files/entries.

%package -n python3-%{fname}
Summary:        A library to parse and manage gettext catalogs for Python 3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools

%description -n python3-%{fname}
polib allows you to manipulate, create, modify gettext files (pot, po and
mo files). You can load existing files, iterate through it's entries, add,
modify entries, comments or metadata, etc... or create new po files from
scratch.

polib provides a simple and pythonic API, exporting only three convenience
functions 'pofile', 'mofile' and 'detect_encoding', and the 4 core classes:
POFile, MOFile, POEntry and MOEntry for creating new files/entries.

%prep
%setup -q -n %{fname}-%{version}
%apply_patches
rm -rf %{py3dir}
cp -r . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%check
%{__python} setup.py check

pushd %{py3dir}
%{__python3} setup.py check
popd

%install
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%fdupes $RPM_BUILD_ROOT%{python_sitelib}
%fdupes $RPM_BUILD_ROOT%{python3_sitelib}

%files
%doc LICENSE README.rst
%{python_sitelib}/*

%files -n python3-%{fname}
%doc LICENSE README.rst
%{python3_sitelib}/*



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.0.3-3.mga4
+ Revision: 543974
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.3-2.mga4
+ Revision: 499123
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jul 30 2013 philippem <philippem> 1.0.3-1.mga4
+ Revision: 461272
- Update to 1.0.3

* Sun Jan 13 2013 umeabot <umeabot> 1.0.2-4.mga3
+ Revision: 379281
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 philippem <philippem> 1.0.2-3.mga3
+ Revision: 326032
+ rebuild (emptylog)

* Sun Dec 02 2012 philippem <philippem> 1.0.2-1.mga3
+ Revision: 325448
- Update to 1.0.2

* Fri Nov 18 2011 philippem <philippem> 0.7.0-1.mga2
+ Revision: 168691
- Update to 0.7.0 with commit dbafdc621bf4 fixes

* Sun Jun 19 2011 kharec <kharec> 0.6.3-1.mga2
+ Revision: 109708
- new version 0.6.3

* Wed Feb 02 2011 ahmad <ahmad> 0.5.5-1.mga1
+ Revision: 46314
- imported package python-polib


* Mon Nov 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.5-1mdv2011.0
+ Revision: 603070
- update to new version 0.5.5

* Tue Nov 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.4-2mdv2011.0
+ Revision: 592471
- rebuild to get correct auto requries

* Sat Oct 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.4-1mdv2011.0
+ Revision: 587727
- update to new version 0.5.4

* Wed Sep 29 2010 Michael Scherer <misc@mandriva.org> 0.5.3-1mdv2011.0
+ Revision: 581951
- import python-polib

